OpenPhn docs
Referencenumbers

Update Number

PATCH
/v1/numbers/{number_id}

Path Parameters

number_id*Number Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/v1/numbers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "e164": "string",
  "greeting": "string",
  "greeting_voice_id": "string",
  "greeting_audio_fresh": true,
  "persona": "string",
  "recording_enabled": true,
  "outcome_schema": {},
  "hours_json": {},
  "timezone": "string",
  "overflow_action": "string",
  "routes": [
    {}
  ],
  "voicemail_mode": "string",
  "voicemail_schema": {},
  "voicemail_persona": "string",
  "sms_enabled": true,
  "sms_templates": [
    {}
  ],
  "sms_brand_id": "string",
  "transfer_destinations": [
    {}
  ],
  "transfer_max_attempts": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}